Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.framestore
Class OWLFrameStoreManager

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.FrameStoreManager
          edu.stanford.smi.protegex.owl.model.framestore.OWLFrameStoreManager

    public class OWLFrameStoreManager

extends edu.stanford.smi.protege.model.framestore.FrameStoreManager

Author:
  Holger Knublauch

Constructor Summary
`OWLFrameStoreManager(OWLModel owlModel)`

Method Summary
`protected edu.stanford.smi.protege.model.framestore.FrameStore` | `create(Class clas)`
`DomainUpdateFrameStore` | `getDomainUpdateFrameStore()`
`DuplicateValuesFrameStore` | `getDuplicateValuesFrameStore()`
`FacetUpdateFrameStore` | `getFacetUpdateFrameStore()`
`OWLFrameStore` | `getOWLFrameStore()`
`RangeUpdateFrameStore` | `getRangeUpdateFrameStore()`
`void` | `setOwlFrameStoresEnabled(boolean enabled)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.FrameStoreManager
`addListener, clearAllListeners, close, dumpFrameStores, flushEvents, getDispatchEventsEnabled, getFacetCheckingEnabled, getFrameStoreFromClass, getFrameStores, getGenerateEventsEnabled, getHeadFrameStore, getTerminalFrameStore, getUndoFrameStore, hasChanged, insertFrameStore, insertFrameStore, isCallCachingEnabled, isEnabled, isJournalingEnabled, isUndoEnabled, notifyInstancesOfBrowserTextChange, reinitialize, removeFrameStore, removeListener, setArgumentCheckingEnabled, setAuthor, setCallCachingEnabled, setChanged, setChangeMonitorEnabled, setCleanDispatchEnabled, setEnabled, setEventDispatchEnabled, setFacetCheckingEnabled, setGenerateDeletingFrameEventsEnabled, setGenerateEventsEnabled, setJournalingEnabled, setModificationRecordUpdatingEnabled, setPollForEvents, setTerminalFrameStore, setUndoEnabled, startJournaling, stopJournaling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLFrameStoreManager

    public OWLFrameStoreManager(OWLModel owlModel)

Method Detail

### create

    protected edu.stanford.smi.protege.model.framestore.FrameStore create(Class clas)

  Overrides:
    `create` in class `edu.stanford.smi.protege.model.framestore.FrameStoreManager`

### setOwlFrameStoresEnabled

    public void setOwlFrameStoresEnabled(boolean enabled)

### getOWLFrameStore

    public OWLFrameStore getOWLFrameStore()

### getDuplicateValuesFrameStore

    public DuplicateValuesFrameStore getDuplicateValuesFrameStore()

### getDomainUpdateFrameStore

    public DomainUpdateFrameStore getDomainUpdateFrameStore()

### getFacetUpdateFrameStore

    public FacetUpdateFrameStore getFacetUpdateFrameStore()

### getRangeUpdateFrameStore

    public RangeUpdateFrameStore getRangeUpdateFrameStore()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.